"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cpCliVersion = exports.cpUtilsVersion = exports.cpModelVersion = exports.cpNxPluginVersion = void 0;
const devkit_1 = require("@nx/devkit");
const path = require("node:path");
const workspaceRoot = path.join(__dirname, '../../');
const projectsFolder = path.join(__dirname, '../../../');
exports.cpNxPluginVersion = loadPackageJson(workspaceRoot).version;
exports.cpModelVersion = loadPackageJson(path.join(projectsFolder, 'cli')).version;
exports.cpUtilsVersion = loadPackageJson(path.join(projectsFolder, 'utils')).version;
exports.cpCliVersion = loadPackageJson(path.join(projectsFolder, 'models')).version;
function loadPackageJson(folderPath) {
    return (0, devkit_1.readJsonFile)(path.join(folderPath, 'package.json'));
}
//# sourceMappingURL=versions.js.map