"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNodes = void 0;
const constants_js_1 = require("../internal/constants.js");
const targets_js_1 = require("./target/targets.js");
const utils_js_1 = require("./utils.js");
// name has to be "createNodes" to get picked up by Nx
exports.createNodes = [
    `**/${constants_js_1.PROJECT_JSON_FILE_NAME}`,
    async (projectConfigurationFile, createNodesOptions, context) => {
        const parsedCreateNodesOptions = createNodesOptions;
        const normalizedContext = await (0, utils_js_1.normalizedCreateNodesContext)(context, projectConfigurationFile, parsedCreateNodesOptions);
        return {
            projects: {
                [normalizedContext.projectRoot]: {
                    targets: await (0, targets_js_1.createTargets)(normalizedContext),
                },
            },
        };
    },
];
//# sourceMappingURL=plugin.js.map